Package ghidra.app.events

# Class AbstractLocationPluginEvent

java.lang.Object
ghidra.framework.plugintool.PluginEvent
ghidra.app.events.AbstractLocationPluginEvent

Direct Known Subclasses:
  `ProgramLocationPluginEvent`

public abstract class AbstractLocationPluginEvent extends PluginEvent

- ## Field Summary

  ### Fields inherited from class ghidra.framework.plugintool.PluginEvent

  `EXTERNAL_SOURCE_NAME`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractLocationPluginEvent(String sourceName, String eventName, ProgramLocation location, Program program)`
  Construct a new event

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getDetails()`
  `ProgramLocation`
  `getLocation()`
  Get the location stored in this event.
  `Program`
  `getProgram()`
  Get the program that the location refers to.

  ### Methods inherited from class ghidra.framework.plugintool.PluginEvent

  `getEventName, getSourceName, getToolEventName, getTriggerEvent, isToolEvent, lookupToolEventName, setSourceName, setTriggerEvent, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AbstractLocationPluginEvent

    protected AbstractLocationPluginEvent(String sourceName, String eventName, ProgramLocation location, Program program)
    Construct a new event
    Parameters:
      `sourceName` - the name of the plugin that generated this event.
      `eventName` - the name of the event type
      `location` - the new location
      `program` - the program for which the location object refers.

- ## Method Details

  - ### getLocation

    public ProgramLocation getLocation()
    Get the location stored in this event.
    Returns:
      the location

  - ### getProgram

    public Program getProgram()
    Get the program that the location refers to.
    Returns:
      the program

  - ### getDetails

    protected String getDetails()
    Overrides:
      `getDetails` in class `PluginEvent`